<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.storlead.system.mapper.CompanyCustomSettingsMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.storlead.system.pojo.entity.CompanyCustomSettingsEntity">
        <id column="settings_id" property="settingsId" />
        <result column="sync_mode" property="syncMode" />
        <result column="system_title" property="systemTitle" />
        <result column="login_title" property="loginTitle" />
        <result column="company_logo" property="companyLogo" />
        <result column="browser_icon_logo" property="browserIconLogo" />
        <result column="login_bg_logo" property="loginBgLogo" />
        <result column="create_by" property="createBy" />
        <result column="create_time" property="createTime" />
        <result column="update_by" property="updateBy" />
        <result column="update_time" property="updateTime" />
        <result column="is_delete" property="isDelete" />
        <result column="enabled" property="enabled" />
        <result column="sort" property="sort" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        settings_id, sync_mode, system_title, login_title, company_logo, browser_icon_logo, login_bg_logo, create_by, create_time, update_by, update_time, is_delete, enabled, sort
    </sql>

</mapper>
